Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"posLocationId": "6orMqUyq2Hg3tP"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({posLocationId: '6orMqUyq2Hg3tP'})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup"
payload = { "posLocationId": "6orMqUyq2Hg3tP" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"posLocationId\": \"6orMqUyq2Hg3tP\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup"
payload := strings.NewReader("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\"\n}")
.asString();{
"data": {
"loyaltyCard": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"description": "<string>",
"frontImage": "<string>",
"location": {
"id": "<string>",
"name": "<string>"
}
}
}
}Retrieve loyalty cards for the specified POS system and location.
curl --request POST \
--url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"posLocationId": "6orMqUyq2Hg3tP"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({posLocationId: '6orMqUyq2Hg3tP'})
};
fetch('https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup"
payload = { "posLocationId": "6orMqUyq2Hg3tP" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"posLocationId\": \"6orMqUyq2Hg3tP\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup"
payload := strings.NewReader("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/v2/pos/{posSystemId}/loyaltyCard/lookup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"posLocationId\": \"6orMqUyq2Hg3tP\"\n}")
.asString();{
"data": {
"loyaltyCard": {
"id": "<string>",
"name": "<string>",
"title": "<string>",
"description": "<string>",
"frontImage": "<string>",
"location": {
"id": "<string>",
"name": "<string>"
}
}
}
}JWT Authorization header using the Bearer scheme.
Enter JWT Bearer token only in the text input below.
POS system
Request
Request model for looking up a loyalty card
The POS location identifier
1Success
Response model for looking up a loyalty card
Show child attributes